# OpalIMContext::MessageSentInfo Struct Reference

`#include <im.h>`

## Data Fields

PAtomicInteger::IntegerType | messageId
OpalIMContext::SentStatus | status

## Detailed Description

Called when an outgoing message has been delivered for this context Default implementation calls MessageSentNotifier, if set

## Field Documentation

PAtomicInteger::IntegerType OpalIMContext::MessageSentInfo::messageId

OpalIMContext::SentStatus OpalIMContext::MessageSentInfo::status

The documentation for this struct was generated from the following file:

- im.h